# this function transforms a vector specifying validities
# and a vector specifying the cue pattern into the
# matrix of weights for the standard PCS implementation

transPCSpairwiseComp = function(
validities = c(.4,.3),
pattern = rbind(c(.01,-.01),c(-.01,.01)),
numbCues = 2
){

weightsNet =
matrix(0,nrow = numbCues+3, 
ncol = numbCues+3)

weightsNet[1,2:(numbCues+1)] = validities
weightsNet[2:(1+numbCues),
c(numbCues+2,numbCues+3)]= pattern 
weightsNet [c(numbCues+2),
c(c(numbCues+2),c(numbCues+3))] = 
c(0,-.2)

weightsNet = weightsNet + t(weightsNet)

return(weightsNet)
}

# compile function (for faster execution)

library(compiler)
transPCSpairwiseComp = cmpfun(transPCSpairwiseComp)
